<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$formname = 'Groupwise Sale Register';
$maindb = 'saletran';
$trandb = 'salemain';
$grid = 'partgrp_sale.php';

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {

    $icond = "";
    $scond = "";
    $pcond = "";

    if (!empty($_POST["name"])) {
        $iname = trim($_POST["name"]);

        $icond = "AND `party` = '$iname'";
    }

    if (!empty($_POST["itemgrp"])) {
        $pname = trim($_POST["itemgrp"]);
        $pcond = "AND `itemgrp` = '$pname'";
    }
    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; itemwise_sale.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; itemwise_sale.php");
    }


    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

//    $get = mysqli_query($conn, "SELECT *, DATE_FORMAT(`billdate`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE
//                       `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate'") or die(mysqli_error($conn));
//    $getno = mysqli_num_rows($get);
//    $get = mysqli_query($conn, "SELECT a.vouchdt, sum(a.qty) as totqty, sum(a.totamt) as total, b.itemgrp, b.name as itemname from `$maindb` a,
//                        `$trandb` b where a.itemcode = b.code and a.vouchdt >= '$mfrmdate' and a.vouchdt <= '$mtodate' $icond $pcond 
//                        group by b.itemgrp,b.name ") or die(mysqli_error($conn));
    $get = mysqli_query($conn, "SELECT a.vouchdt, sum(a.qty) as totqty, sum(a.total) as total,a.item, b.party from `$maindb` a,
                        `$trandb` b where a.vouchno = b.vouchno and a.vouchdt >= '$mfrmdate' and a.vouchdt <= '$mtodate' $icond
                        group by b.party order by b.party") or die(mysqli_error($conn));

    $getno = mysqli_num_rows($get);
    browse($getno);
    $getno1 = mysqli_fetch_object($get);
//        $getno1 = mysqli_fetch_object($get);
    if ($getno == 0) {

        browse("Record Not Found");
        echo "<script>
            window.close();
            </script>";
    }

    include("includes/linkshead.php");
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }
    </style>

    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-5">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>
                <div class="col-lg-1">
                    <a onclick="window.close()" class="btn btn-primary">GO Back</a>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-condensed">
                        <tbody>
                            <?php
                            $tqty = 0;
                            $trate = 0;
                            $totamt = 0;
                            $tname = '';
                            $a1 = 0;


//                            echo "<label>Item Group - $mitemgrp</label>";
                            $ctr = 0;
                            while ($row = mysqli_fetch_object($get)) {
                                mysqli_select_db($conn, $zdb);

                                $getitemgrp = mysqli_query($conn, "SELECT * FROM `item` WHERE code = '$row->item'  $pcond") or die(mysqli_error($conn));
                                $itgrpget = mysqli_fetch_object($getitemgrp);

                                $itgrpname = $itgrpget->itemgrp;

                                $getitemgrp1 = mysqli_query($conn, "SELECT * FROM `itemgrp` WHERE  `code`='$itgrpname' ORDER BY `name`") or die(mysqli_error($conn));
                                $itemgrp = mysqli_fetch_object($getitemgrp1);
//                                browse($row->accode);
                                $getaccmast = mysqli_query($conn, "SELECT * FROM `accmast` WHERE  `accode` = '$row->party' $icond") or die(mysqli_error($conn));
                                $namepa = mysqli_fetch_object($getaccmast);


                                $partname = $namepa->name;

                                if ($partname != $tname) {
                                    if ($a1 == 0) {
                                        ?>
                                        <tr>
                                            <td style=""><b>Party : - <?= $partname ?> </b></td>
                                        </tr>
                                                                                                            <!--<thead class="mySearchTr">-->
                                        <!--</thead>-->      
                                        <?php
                                    }
                                    if ($a1 > 0) {
                                        ?>
                <!--                                            <tr>
                                            <td colspan="" style="text-align: right; "><b>Total</b></td>
                                            <td style="text-align: right; "><? echo $aqty; ?></td>
                                            <td></td>
                                            <td style="text-align: right; "><? echo $aamt; ?></td>
                                            <td></td>
                                        </tr>-->
                                        <?php
                                        $aqty = 0;
                                        $aamt = 0;
                                    }
                                    $tname = $partname;
                                }
                                ?>
                                <tr class="mySearchTr">
                                    <th align="left" width=''>Item Group<i class="icon-sort"></i><i class="icon-sort-down"></i> <i class="icon-sort-up"></i></th>
                                    <th style=text-align:right;" width=''>Qty.<i class="icon-sort"></i><i class="icon-sort-down"></i> <i class="icon-sort-up"></i></th>
                                    <th style=text-align:right;" width=''>Amount<i class="icon-sort"></i><i class="icon-sort-down"></i> <i class="icon-sort-up"></i></th>
                                </tr>
                                <?php
                                $ctr++;

                                echo "<tr> ";
                                #echo "<td align='left'>$ctr</td>";
                                echo "<td align='left'>$itemgrp->name</td>";
                                echo "<td align='right'>$row->totqty</td>";
                                echo "<td align='right'>$row->total</td>";


                                $tqty = $tqty + $row->totqty;
                                $totamt = $totamt + $row->total;

                                echo "</tr>";
                            }
                            echo "<tr style='background-color:white;'> ";
                            echo "<td align='right'><font><b>Total&nbsp;&nbsp;</font></b></td>";
                            echo "<td align='right'><font><b>" . number_format($tqty, 2, '.', '') . "</b></font></td>";
                            echo "<td align='right'><font color='green'><b>" . number_format($totamt, 2, '.', '') . "</b></font></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>


    </body>
    </html>
    <?php
    include("includes/linksfoot.php");
}
?>   
